using JewelryStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.ViewModels
{
    public class JewelViewModel : IJewelModel
    {
        public int Id { get; set; }
        [DisplayName("Название драгоценности")]
        public string JewelName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> JewelComponents
        {
            get;
            set;
        } = new();
    }

}
